<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="EmailLink">
<a href="mailto:{@Email}">E-Mail senden an: <b style="background-color: InfoBackground; color: InfoText;"><xsl:value-of select="@Email"/></b></a>
	</xsl:template>
	<xsl:template match="/Customers">
<html>
<head><title>Alle meine Kunden</title></head>
<body>
<H1>Alle meine <xsl:value-of select="count(Customer)"/> Kunden</H1>
<ol>
<xsl:apply-templates select="Customer"/>
</ol>
</body>
</html>
	</xsl:template>
	<xsl:template match="Customer">
<li>
<a href="javascript:alert('ID: {@id}')">
<xsl:value-of select="concat(Name/@First, ' ', Name/@Last)"/>
</a>
<ul>
<xsl:apply-templates select="ContactDetails"/>
</ul>
</li>
	</xsl:template>
	<xsl:template match="ContactDetails">
<li>
<xsl:call-template name="EmailLink"/>
</li>
	</xsl:template>
</xsl:stylesheet>